# AUVAbyssWorkflow

The AUV Abyss post-processing workflow is published as Jupyter Notebooks
complementing the IEEE OES AUV 2018 conference contribution
"AUV Abyss workflow: autonomous deep sea exploration for ocean research"
(Klischies et al., 2018). The publication explains the application and use
of these Notebooks in detail.
The purpose of the Juypter Notebooks is to share, adapt, execute and document post-
processing of AUV Abyss MBES data.

The Notebooks were tested on Ubuntu 16.04.5 LTS using MB-System Version 5.5.2330
and on MacOS 10.12.6 using MB-System Version 5.5.2334.


SOFTWARE PRE-REQUISITES:
To use the Jupyter Notebooks, the following open source software distributions
has to be installed: MB-System (Caress, 1999), Python (van Rossum, 1995), and Jupyter
(Kluyver et al., 2017).
Maintaining a GIS (Geographic Information System) project parallel to the post-processing
workflow is recommended to keep an overview, check intermediate results and produced
digital elevation models. This is especially applicable to multi-survey mapping
campaigns, where post-processing has to manage and merge several dives.

MB-System:
https://www.mbari.org/products/research-software/mb-system/
Packaged MB-System distributions contain GMT and other prerequisites, and are
available for MacOS (as a Homebrew package) and Linux operating systems (included
in Poseidon Linux and maintained in UbuntuGIS).

Python & Jupyter Notebook:
https://www.anaconda.com
Python is available in several packages and distributions, of which the Anaconda
Distribution also includes Jupyter Notebook.

GIS:
https://www.qgis.com
QGis is an open source GIS software, but paid distributions (e.g. ArcGIS from Esri,
Global Mapper from Blue Marble Graphics) are also applicable.

GETTING STARTED:
To start a post-processing project, download the AUVAbyssWorkflow,
start the Anaconda-Navigatior, launch Juypter Notebook,
navigate to the AUVAbyssWorkflow notebooks, open it, and follow the instructions.


MIT License

Copyright (c) [2018] [Klischies et al.]

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.
